package _VisualDVM.ProjectData.SapforData;
import com.google.gson.annotations.Expose;

import java.util.List;
public class SapforResult_json {
    @Expose
    public int errorCode;
    @Expose
    public String result; //запаковка результата конкретного прохода в json
    @Expose
    public String output; //журнал
    @Expose
    public String outputMessage; //запаковка сообщений в json
    @Expose
    public String predictorStats; //запаковка оценок вариантов в json если есть для их построения и оценки.
    @Expose
    public List<ModifiedFile_json> files; //запаковка имен файлов в json если есть для модификации
    //--
    public void Print(){
        System.out.println("------------------------------");
        System.out.println("codeIdx="+ errorCode );
        System.out.println("result="+result);
        System.out.println("output="+output);
        System.out.println("outputMessage="+outputMessage);
        System.out.println("predictorStats="+predictorStats);
        System.out.println("-------------------------------");
    }
}
